package com.ruoyi.project.mapper;

import java.util.List;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.ruoyi.project.domain.TrsErrorUrl;
import com.ruoyi.project.domain.TrsSensitiveWords;

/**
 * 敏感链接Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-01
 */
@InterceptorIgnore(tenantLine = "true")
public interface TrsErrorUrlMapper 
{
    /**
     * 查询敏感链接
     * 
     * @param id 敏感链接主键
     * @return 敏感链接
     */
    public TrsErrorUrl selectTrsErrorUrlById(Long id);

    /**
     * 查询敏感链接列表
     * 
     * @param trsErrorUrl 敏感链接
     * @return 敏感链接集合
     */
    public List<TrsErrorUrl> selectTrsErrorUrlList(TrsErrorUrl trsErrorUrl);

    /**
     * 新增敏感链接
     * 
     * @param trsErrorUrl 敏感链接
     * @return 结果
     */
    public int insertTrsErrorUrl(TrsErrorUrl trsErrorUrl);

    /**
     * 修改敏感链接
     * 
     * @param trsErrorUrl 敏感链接
     * @return 结果
     */
    public int updateTrsErrorUrl(TrsErrorUrl trsErrorUrl);

    /**
     * 删除敏感链接
     * 
     * @param id 敏感链接主键
     * @return 结果
     */
    public int deleteTrsErrorUrlById(Long id);

    /**
     * 批量删除敏感链接
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsErrorUrlByIds(String[] ids);

    public List<TrsErrorUrl> selectTrsWordsListByErrorWord(String errorurl);
}
